<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.server.jms-topic">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="entries,legacy-entries"/>
        <elem name="addr-params" value="profile,subsystem,server,jms-topic"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="server" feature-id="true"/>
        <param name="jms-topic" feature-id="true"/>
        <param name="entries" type="List&lt;String&gt;"/>
        <param name="legacy-entries" nillable="true" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>